forum.vdsworld.com Forum Index forum.vdsworld.com
Visit VDSWORLD.com
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


VDSMYSQL.DLL and Mysql 4.x

 
Post new topic   Reply to topic    forum.vdsworld.com Forum Index -> Product Support
View previous topic :: View next topic  
Author Message
henrywood
Contributor
Contributor


Joined: 21 Sep 2004
Posts: 66
Location: Copenhagen, Denmark

PostPosted: Sun Oct 03, 2004 2:07 pm    Post subject: VDSMYSQL.DLL and Mysql 4.x Reply with quote

Hi guys !

After a couple of years absence from the VDS community, I recently decided to upgrade to VDS 5 and start using VDS again. And I must say that VDS5 is such a beauty, especially the support for API calls, user functions and includes !!!

But now, as to the reason of this posting...

I also recently downloaded the latest version of VDSDLL3_ALL that I could find since I needed to use the VDSMYSQL for a MySQL 4.x installation.

I keep getting this error after connect:
1250 Client does not support the authentication protocol requested

Does anybody have any ideas as to what can be done to avoid this ? Does libmysql.dll need to be updated or is it the VDS3_ALL DLL that needs updating ? I downloaded app. 1 week ago ?

Also, it appears that my old registration key for VDSDLL - version 2.7, I think - is no longer working. Do I need to re-register and at what cost ?
I have pm'ed Tommy about the registration key problem, but haven't heard anything yet. I take it he is buzy studying ...

Sorry for this rather long post....




Regards,

Henrik Skov
Back to top
View user's profile Send private message Send e-mail
FreezingFire
Admin Team


Joined: 23 Jun 2002
Posts: 3508

PostPosted: Sun Oct 03, 2004 2:20 pm    Post subject: Reply with quote

Hey Henrik!

First of all, welcome back! Hi

I believe you have an old account on here - if you need help getting back
into it you can just PM me or another administrator.

I'm not sure regarding your MySQL problem, but I do know that the
VDSDLL 2.7 is now outdated and doesn't work correctly with VDS 5.
A new version, VDSDLL 2.8, is now available for download and is free.

Download it at:
http://www.vdsworld.com/download.php?id=44

_________________
FreezingFire
VDSWORLD.com
Site Admin Team
Back to top
View user's profile Send private message Visit poster's website
PGWARE
Web Host


Joined: 29 Dec 2001
Posts: 1537

PostPosted: Sun Oct 03, 2004 5:43 pm    Post subject: Reply with quote

Hello Henrik,
I'm pretty certain the vdsmysql dll Tommy developed is for Mysql 3x series and will not work with Mysql 4 correctly. There are numerous changes from Mysql server 4/5 and the 3 series that cause these incompatibilities.

If possible you can download and install Mysql 3.x to the computer at:

http://downloads.mysql.com/archives.php?p=mysql-3.23&v=3.23.58
Back to top
View user's profile Send private message
henrywood
Contributor
Contributor


Joined: 21 Sep 2004
Posts: 66
Location: Copenhagen, Denmark

PostPosted: Tue Oct 05, 2004 5:24 am    Post subject: Reply with quote

Well, I know about the differences between MySQL 3 and Mysql 4/5 so my post was simply posted since I wanted to know if it would be possible for Tommy to make a MySQL 4+ compatible version of VDSMySQL.DLL. I have seen other applications having the same problem with MySQL 4+ (such as Dezign for MySQL)

I would very much like to have a compatible version, since the customer that I am currently developing a VDS application for uses MySQL 4.1

And for PGWARE: I also have recently downloaded the latest VDSIPP DLL of yours and now my question is: What is the upgrade fee ? (I registered VDSIPP - version 2 - I think - in the past)
Back to top
View user's profile Send private message Send e-mail
Skit3000
Admin Team


Joined: 11 May 2002
Posts: 2166
Location: The Netherlands

PostPosted: Tue Oct 05, 2004 9:45 am    Post subject: Reply with quote

Hi Henrik,

There are some free dlls, made with C++, which you can use to control a MySQL database. I don't know exactly their names, but it should be possible to run them throught VDS by using API calls... Smile

_________________
[ Add autocomplete functionality to your VDS IDE windows! ]
Voor Nederlandse beginners met VDS: bekijk ook eens deze tutorial!
Back to top
View user's profile Send private message
PGWARE
Web Host


Joined: 29 Dec 2001
Posts: 1537

PostPosted: Tue Oct 05, 2004 2:58 pm    Post subject: Reply with quote

Hi Henrik, simply email at support@pgware.com with your order number for vdsipp and the serial will be sent to you. The upgrade is free. If you do not remember your order number than email your full name, email addressed you used at the time of purchase and your home address - this will be used to verify the order and send out the new serial.

Please do not post this information on these forums.
Back to top
View user's profile Send private message
PGWARE
Web Host


Joined: 29 Dec 2001
Posts: 1537

PostPosted: Wed Oct 06, 2004 9:27 pm    Post subject: Reply with quote

I don't know if Tommy can upgrade the dll to use mysql 4. The component he uses (I also use this component/unit in some of my projects) is only compatible with mysql 3.x series.

There may be other mysql components out there for Delphi for mysql 4 however I know the ones made for mysql 3.x were not very reliable except for the component/unit Tommy and myself use.
Back to top
View user's profile Send private message
henrywood
Contributor
Contributor


Joined: 21 Sep 2004
Posts: 66
Location: Copenhagen, Denmark

PostPosted: Wed Oct 06, 2004 10:01 pm    Post subject: MySQLDAC Reply with quote

Do you know of the MySQLDAC VCL ? It claims to be compatible with MySQL 3-4-5 AND to support BLOB columns (does anybody know if VDSMYSQL.DLL supports BLOB column?)

Henrik
Back to top
View user's profile Send private message Send e-mail
PGWARE
Web Host


Joined: 29 Dec 2001
Posts: 1537

PostPosted: Thu Dec 30, 2004 3:50 am    Post subject: Reply with quote

Hi Henrik,

This post is old but hopefully you still have a use for the information below. I am in the process of upgrading the server with MySql 4 and needed this to work with a specific Mysql user/software so went looking around for a solution.


It is quite possible to use MySql 4 with an older MySql 3 based client. To do this you need to login to Mysql with the user account - use something like phpMyAdmin or go directly to the server and issue mysql commands and do the following:

http://dev.mysql.com/doc/mysql/en/Old_client.html


You basically need to set MySql to use the OLDPASSWORD method for the user account you want to access remotely. The reason for this is the new version of mysql hashes the passwords , while 3.x versions of Mysql did not - so it warns you the client/connection method is not supported.

Once you set the password to the user account to use older style non hashed passwords you should be able to use Tommy's dll with Mysql 4.
Back to top
View user's profile Send private message
henrywood
Contributor
Contributor


Joined: 21 Sep 2004
Posts: 66
Location: Copenhagen, Denmark

PostPosted: Thu Dec 30, 2004 1:11 pm    Post subject: Thanks ! Reply with quote

Hi PGWARE!

Thank you for the information. I will try it out and let you know how it goes.
Also, I was wondering if Tommy's DLL supports using BLOB fields ?


Henrik
Back to top
View user's profile Send private message Send e-mail
PGWARE
Web Host


Joined: 29 Dec 2001
Posts: 1537

PostPosted: Fri Dec 31, 2004 1:55 am    Post subject: Reply with quote

I'm not entirely sure if it allows blobs or not - I'd suspect no. I don't really use his dll past some basic usage every now and then.
Back to top
View user's profile Send private message
Andy_Fletcher
Contributor
Contributor


Joined: 10 Jun 2003
Posts: 90
Location: Somerset, United Kingdom

PostPosted: Tue Jan 15, 2008 3:01 pm    Post subject: Re: Thanks ! Reply with quote

henrywood wrote:
Hi PGWARE!

Thank you for the information. I will try it out and let you know how it goes.
Also, I was wondering if Tommy's DLL supports using BLOB fields ?


Henrik


Appreciating this topic is very old now but hoping that someone is stil keeping an eye on it.
I have been working on a project to insert data to a MySQL database also.
I have found the VDSMYSQL.dll works fine for almost all 'queries'.

My problem is that I need to store text documents in a LONGBLOB field so that I can search through for documents with certain Words or Phrases at a later date.
I get the text into a variable in the usual way:
List Loadfile or Set Browser1
and then
%%text = @dlgtext(Browser1) or (List)
And then use the Mysql call to:
Mysql Insert Into Tablename (Colname) Values ('%%text') Where ID=1234

The command returns error 1064 every time.....
Is there a work around or a better way to do this ????

All help and advise grately appreciated ...

Regards
AndyF
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    forum.vdsworld.com Forum Index -> Product Support All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum




Twitter@vdsworld       RSS

Powered by phpBB © 2001, 2005 phpBB Group